<!doctype html>

<html lang="fr">
<head>
  <meta charset="utf-8">
  <title>Calculette</title>
  <style>
  	body {
  		background-color: #ccc;
  		font-family: Verdana, sans-serif;
  	}
  	button:focus {
  		outline: none;
  	}
  	article.wrapper {
  		margin: auto;
  		padding: 15px;
  		width: 600px;
  		min-height: 200px;
  		background-color: #efefef;
  		font-size: 0;
  	}
  	article.wrapper > * {
  		font-size: initial;
  	}
  	input, button, output {
  		margin: 2.5%;
  		box-sizing: border-box;
  		border-radius: 8px;
  		display: inline-block;
  		border: 1px solid #888;
  	}
  	input {
  		width: 45%;
  		padding: 6px;
  	}
  	button {
  		width: 20%;
  		font-size: 2em;
  		font-weight: bold;
  	}
  	output {
  		width: 95%;
  		background-color: #ddd;
  		text-align: center;
  		height: 2em;
  		line-height: 2em;
  	}
  </style>
</head>
<body>
	<article class="wrapper">
		<input type="text" id="ch1"/><input type="text" id="ch2"/>
		<button id="plus">+</button>
		<button id="moins">-</button>
		<button id="fois">*</button>
		<button id="divise">/</button>
		<output id="resultat"></output>
	</article>

  	<script>
  		var ch1 = document.getElementById("ch1"), ch2 = document.getElementById("ch2"), o = document.getElementById("resultat");
	  	document.getElementById("plus").addEventListener("click", function() {
	  		o.value = parseFloat(ch1.value) + parseFloat(ch2.value);
	  	});
	  	document.getElementById("moins").addEventListener("click", function() {
	  		o.value = parseFloat(ch1.value) - parseFloat(ch2.value);
	  	});
	  	document.getElementById("fois").addEventListener("click", function() {
	  		o.value = parseFloat(ch1.value) * parseFloat(ch2.value);
	  	});
	  	document.getElementById("divise").addEventListener("click", function() {
	  		o.value = parseFloat(ch1.value) / parseFloat(ch2.value);
	  	});
  	</script>
</body>
</html>